Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::IRMatcher::IsConst< A > Struct Template Reference

`#include <IRMatch.h>`

## Classes
struct | pattern_tag

## Public Member Functions
template<typename A1 = A>
HALIDE_ALWAYS_INLINE void | make_folded_const (halide_scalar_value_t &val, halide_type_t &ty, MatcherState &state) const noexcept

## Public Attributes
A | a
bool | check_v
int64_t | v

## Static Public Attributes
static constexpr uint32_t | binds = bindings<A>::mask
static constexpr IRNodeType | min_node_type = IRNodeType::UIntImm
static constexpr IRNodeType | max_node_type = IRNodeType::UIntImm
static constexpr bool | canonical = true
static constexpr bool | foldable = true

## Detailed Description

template<typename A>
struct Halide::Internal::IRMatcher::IsConst< A >

Definition at line 2383 of file IRMatch.h.

## Member Function Documentation

## ◆ make_folded_const()

template<typename A >
template<typename A1 = A>

HALIDE_ALWAYS_INLINE void Halide::Internal::IRMatcher::IsConst< A >::make_folded_const | ( | halide_scalar_value_t & | val,
|  | halide_type_t & | ty,
|  | MatcherState & | state
| ) |  | const
| inline noexcept

Definition at line 2400 of file IRMatch.h.

References Halide::Internal::IRMatcher::IsConst< A >::a, Halide::Internal::IRMatcher::cast(), Halide::Internal::IRMatcher::IsConst< A >::check_v, halide_type_uint, Halide::Internal::is_const(), and Halide::Internal::IRMatcher::IsConst< A >::v.

## Member Data Documentation

## ◆ binds

template<typename A >

constexpr uint32_t Halide::Internal::IRMatcher::IsConst< A >::binds = bindings<A>::mask
| static constexpr

Definition at line 2386 of file IRMatch.h.

## ◆ min_node_type

template<typename A >

constexpr IRNodeType Halide::Internal::IRMatcher::IsConst< A >::min_node_type = IRNodeType::UIntImm
| static constexpr

Definition at line 2389 of file IRMatch.h.

## ◆ max_node_type

template<typename A >

constexpr IRNodeType Halide::Internal::IRMatcher::IsConst< A >::max_node_type = IRNodeType::UIntImm
| static constexpr

Definition at line 2390 of file IRMatch.h.

## ◆ canonical

template<typename A >

constexpr bool Halide::Internal::IRMatcher::IsConst< A >::canonical = true
| static constexpr

Definition at line 2391 of file IRMatch.h.

## ◆ a

template<typename A >

A Halide::Internal::IRMatcher::IsConst< A >::a

Definition at line 2393 of file IRMatch.h.

Referenced by Halide::Internal::IRMatcher::IsConst< A >::make_folded_const(), and Halide::Internal::IRMatcher::operator<<().

## ◆ check_v

template<typename A >

bool Halide::Internal::IRMatcher::IsConst< A >::check_v

Definition at line 2394 of file IRMatch.h.

Referenced by Halide::Internal::IRMatcher::IsConst< A >::make_folded_const(), and Halide::Internal::IRMatcher::operator<<().

## ◆ v

template<typename A >

int64_t Halide::Internal::IRMatcher::IsConst< A >::v

Definition at line 2395 of file IRMatch.h.

Referenced by Halide::Internal::IRMatcher::IsConst< A >::make_folded_const(), and Halide::Internal::IRMatcher::operator<<().

## ◆ foldable

template<typename A >

constexpr bool Halide::Internal::IRMatcher::IsConst< A >::foldable = true
| static constexpr

Definition at line 2397 of file IRMatch.h.

The documentation for this struct was generated from the following file:

- src/IRMatch.h